Bug 8150 - Ban 'dos charset = utf8'
Ban 'dos charset = utf8'
Product: Samba 3.6
Classification: Unclassified
Component: File services
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2011-05-19 01:05 UTC by Andrew Bartlett
Modified: 2011-05-26 18:10 UTC (History)
0 users

See Also:
abartlet: review+

Patch to ban dos charset = utf8 (1.92 KB, patch)
2011-05-19 01:09 UTC, Andrew Bartlett
no flags Details
Fixed patch for 3.6 (1.77 KB, patch)
2011-05-23 02:35 UTC, Andrew Bartlett
jra: review-
git-am fix for 3.6.0 (2.45 KB, patch)
2011-05-23 17:59 UTC, Jeremy Allison
jra: review? (abartlet)

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2011-05-19 01:05:37 UTC

Comment 1 Andrew Bartlett 2011-05-19 01:07:00 UTC
Dos charset = utf8 causes strange, hard to disagnose bugs in domain membership.  (These happen if any wrong charset is chosen, but utf8 is just never a valid choice).

This patch bans this invalid parameter, in the hope to avoid the difficult challenge of chasing this down in the field.
Comment 2 Andrew Bartlett 2011-05-19 01:09:20 UTC
Created attachment 6454 [details]
Patch to ban dos charset = utf8
Comment 3 Andrew Bartlett 2011-05-19 01:10:32 UTC
I would like this in 3.6
Comment 4 Jeremy Allison 2011-05-19 19:25:28 UTC
Not a blocker (IMHO). The patch isn't correct as the 3.6.0 smbd doesn't use the handle-based iconv code. This needs to be in param/loadparm.c by replacing the handle_charset() function with a dos_charset_handle_charset() function that wraps handle_charset with a check for utf8 I think.

Comment 5 Andrew Bartlett 2011-05-23 02:35:17 UTC
Created attachment 6472 [details]
Fixed patch for 3.6
Comment 6 Andrew Bartlett 2011-05-23 02:36:59 UTC
re-setting to blocker with the corrected patch
Comment 7 Jeremy Allison 2011-05-23 17:58:55 UTC
Comment on attachment 6472 [details]
Fixed patch for 3.6

Sorry - this isn't the right fix IMHO. I'm adding what I believe to be the correct fix.
Comment 8 Jeremy Allison 2011-05-23 17:59:53 UTC
Created attachment 6476 [details]
git-am fix for 3.6.0

Andrew please review. I think this is the correct way to do it for 3.6.0 (but probably not master).

Comment 9 Andrew Bartlett 2011-05-24 00:33:20 UTC
Looks good to me
Comment 10 Jeremy Allison 2011-05-24 00:39:10 UTC
Re-assigning to Karolin for inclusion in 3.6.0.

Comment 11 Karolin Seeger 2011-05-26 18:10:06 UTC
Pushed to v3-6-test.
Closing out bug report.